Redmine - Feature #585

Issue Update Editable
2008-01-23 05:07 - Sven Schuchmann

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution:

Description

| think it would be nice to have the ability to edit
an update you made for an issue.

For now you can only edit the issue itself, but not the updates.
Each User should be able to edit his update, not updates
of any other users. The admin should be able to edit all.

Related issues:
Has duplicate Redmine - Feature #527: Edit/Delete notes on issues Closed
Has duplicate Redmine - Feature #627: Permissions to edit update notes Closed 2008-02-11

Associated revisions

Revision 1152 - 2008-02-16 14:19 - Jean-Philippe Lang
Added the following permissions (#527, #585, #627):

e edit_issue_notes: let user edit any notes
e edit_own_issue_notes: let user edit his own notes only

History

#1 - 2008-01-28 13:17 - Jean-Philippe Lang

For data consistency, only the notes could be editable, not the changes (eg. the fact that a user changed the issue status can not be 'edited’).
Did you have something else in mind ?

#2 - 2008-01-28 13:26 - Sven Schuchmann
Yes, you are right! Only the notes.
(For now we have the Problem that we ran the Mantis Importer, and some notes contain unwanted Wiki-Formatting and we cannot change this)

#3 - 2008-02-02 06:03 - Jean-Philippe Lang

As of r1105, admins can edit issue notes.
I'll add a permission to let regular users edit their own notes.

#4 - 2008-02-16 15:05 - Jean-Philippe Lang
- Category set to Issues

- Status changed from New to Closed

See r1152.
